# Wintermute

Wintermute is an extensible application that aims to become the foundation of 
an **artificial intelligence framework**. The application is written in C++ at 
its core. More information about the project can be found on [its Wiki 
page](http://thesii.org/wiki/index.php/Wintermute).

## Installing

### Requirements
Wintermute requires a few dependencies at this version. Right now, the only targeted platform is `Linux` due to its heavy dependency on D-Bus but work provided by contributors of other platforms.

  * CMake 2.8
  * Qt 4.7 or greater - http://qt-project.org
  * QCommandLine - https://github.com/jalcine/qcommandline
  * QLogger - https://gitorious.org/log4qt/log4qt

Once you've satisfied those dependencies, building is a breeze. Seriously.

```bash
$ git clone git://github.com/jalcine/wintermute wintermute
$ cd wintermute; mkdir build; cd build
$ cmake .. -DCMAKE_INSTALL_PREFIX=~/.local -DCMAKE_BUILD_TYPE=Debug
$ make
$ make unittest
$ make test Experimental
$ make install
```

The instructions above install Wintermute to a local binary directory (my personal setup)
and can be executed like so:

```bash
$ ~/.local/bin/wintermute
$ wintermute # If ~/.local/bin is in your $PATH
```

## Tested Operating Systems
So far, Wintermute has only been built and tested on **[Kubuntu](http://www.kubuntu.com)** running 
a developer preview of Raring Ringtail. It's recommended that after building, you run the test sute (`make test`) and have
your test results be uploaded to CDash. Wintermute is also tested on [Travis.CI](https://travis-ci.org/thesii/wintermute) for
those who prefer that utility.

## Contributing

 - Fork, make a topic branch and propose your changes!
 - Build and test Wintermute on a foreign, untested system!
 - Spread the word and do your part to make Wintermute an awesome app!

## Support

I (the project maintainer, Jacky Alcine) do my best to answer any and all questions pertaining to Wintermute. You can e-mail me at
me@jalcine.me or find me on IRC on Freenode, OFTC or the Perl servers.

## Licensing

Wintermute is licensed under the GPLv2 license. See `LICENSE` for more details.
