include(Qt4Macros)

macro(wintermute_add_properties _target)
  set_target_properties(${_target} PROPERTIES
    COMPILE_DEFINITIONS ${WINTERMUTE_COMPILE_DEFINITIONS}
    COMPILE_DEFINITIONS_DEBUG ${WINTERMUTE_COMPILE_DEFINITIONS_DEBUG}
    COMPILE_DEFINITIONS_RELEASE ${WINTERMUTE_COMPILE_DEFINITIONS_RELEASE}
    LINK_FLAGS "${WINTERMUTE_LINK_FLAGS}"
    LINK_FLAGS_DEBUG "${WINTERMUTE_LINK_FLAGS_DEBUG}"
    LINK_FLAGS_RELEASE "${WINTERMUTE_LINK_FLAGS_RELEASE}"
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib"
  )
  
  if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set_property(TARGET ${_target} PROPERTY COMPILE_FLAGS 
      "${WINTERMUTE_COMPILE_FLAGS} ${WINTERMUTE_COMPILE_FLAGS_DEBUG}")
  elseif(CMAKE_BUILD_TYPE STREQUAL "Release")
    set_property(TARGET ${_target} PROPERTY COMPILE_FLAGS
      "${WINTERMUTE_COMPILE_FLAGS} ${WINTERMUTE_COMPILE_FLAGS_RELEASE}")
  endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
endmacro(wintermute_add_properties _target)

## Include plug-in specific macros.
include(WintermutePluginMacros)
